Results 1 to 10 of 10

Thread: Problem with installing Netbeans 1.2.4

  1. #1

    Default Problem with installing Netbeans 1.2.4

    I was trying to install NetBeans from this website: http://moocfi.github.io/courses/gene...t-started.html

    Code:
    The installation is done by executing the installation script by giving the command ./tmc-netbeans_org_mooc_tmcbeans-linux.sh in the directory where the file is located
    but unfortunately I got a message that "Installation failed". Previously I was using this program on Debian and everything was ok. Is it possible to use NetBeans on openSUSE?

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,935
    Blog Entries
    2

    Default Re: Problem with installing Netbeans 1.2.4

    Looks like your reference is a guide to setting up and using Netbeans 8.2, not 1.2.4.
    Recommend you instead install Netbeans from openSUSE, I don't see a version built by a recognized community but several built by individuals.

    https://software.opensuse.org/package/netbeans

    I can't recommend one over another.
    You might want to note the time and date of your install, if the particular install doesn't work for you as expected, you may want to use Snapper to roll back your system which would do a better job of uninstalling that a regular package uninstall.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3

    Default Re: Problem with installing Netbeans 1.2.4

    Well, the problem is that I need to install this particular version of NetBeans in order to access Java course. As I mentioned before I was using this program on debian based distros without any trouble. Small update: I've installed NetBeans BUT the program won't start. Nothing happens. Any ideas what to do?

  4. #4
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,935
    Blog Entries
    2

    Default Re: Problem with installing Netbeans 1.2.4

    Quote Originally Posted by RonTenenbaum View Post
    Well, the problem is that I need to install this particular version of NetBeans in order to access Java course. As I mentioned before I was using this program on debian based distros without any trouble. Small update: I've installed NetBeans BUT the program won't start. Nothing happens. Any ideas what to do?
    As described in my previous post, the specific verion of you want to install the specific version of Netbeans described in your reference, you have it wrong and a build version very close is available.

    So,
    If you install Netbeans from a specific repo, describe which one you've selected.
    And then, you have to describe exactly how you tried to invoke your app.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  5. #5

    Default Re: Problem with installing Netbeans 1.2.4

    I've installed Netbeans from 'home:fusion809'. Version 8.2. Program won't start, nothing happens after I click the icon to launch it.

  6. #6

    Default Re: Problem with installing Netbeans 1.2.4

    I always download Netbeans as a ZIP and simply unpack it.
    Then run <nbfolder>/bin/netbeans

    https://netbeans.apache.org/download/index.html

  7. #7
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,935
    Blog Entries
    2

    Default Re: Problem with installing Netbeans 1.2.4

    Quote Originally Posted by RonTenenbaum View Post
    I've installed Netbeans from 'home:fusion809'. Version 8.2. Program won't start, nothing happens after I click the icon to launch it.
    I installed that into a KDE/TW.
    No Problem.
    I found the Netbeans menu item in the "Development" category and clicked on it.
    Took awhile to spin up the first time, but after a bit of a wait a licence agreement appeared, followed by the IDE itself.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  8. #8

    Default Re: Problem with installing Netbeans 1.2.4

    Quote Originally Posted by tsu2 View Post
    I installed that into a KDE/TW.
    No Problem.
    I found the Netbeans menu item in the "Development" category and clicked on it.
    Took awhile to spin up the first time, but after a bit of a wait a licence agreement appeared, followed by the IDE itself.

    TSU
    That's strange but I know that's must be my fault. OpenSUSE seems to be a perfect OS, but I don't know if I can figure out how to configure it properly. I'm a beginner user, so don't get me wrong if my questions might sound to you "noobish". My main goal is to have a stable and yet fast and userfriendly linux distro. Frankly I dunno what to do now. I've unistalled previous version of NetBeans (the old one) using .sh script. I guess I'll try another version. In the worst case scenario I'll be forced to try another distro :/

  9. #9
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,935
    Blog Entries
    2

    Default Re: Problem with installing Netbeans 1.2.4

    Quote Originally Posted by RonTenenbaum View Post
    That's strange but I know that's must be my fault. OpenSUSE seems to be a perfect OS, but I don't know if I can figure out how to configure it properly. I'm a beginner user, so don't get me wrong if my questions might sound to you "noobish". My main goal is to have a stable and yet fast and userfriendly linux distro. Frankly I dunno what to do now. I've unistalled previous version of NetBeans (the old one) using .sh script. I guess I'll try another version. In the worst case scenario I'll be forced to try another distro :/
    As a beginning Developer,
    You should first understand that each time you create a Development environment on your machine, you'll be making large and sometimes drastic changes to your system. Not every configuration will work the first time. Often changes to enable one thing might break another.

    That's why I build all my Development in virtual machines unless I really have to build on real, physical hardware.
    Virtual machines are disposable, if something breaks it can be junked immediately with no guilt.
    Anyting running in the virtual machine is isolated and won't affect your real machine or other virtual machines.
    When you're developing, if you want to test new things or make slight modifications to the build, you can have specific types of builds in different virtual machines without having to make changes to your configurations, packages, and more constantly.

    If you do a lot of building on your physical machine and work on more than one project, you may end up having to re-install your physical machine every year or two, who wants to do that? You want to rebuild when you want to,not because you have to.

    Returning to your current situation,
    It's hard to say what is different in your machine that might cause an install to fail where the install would work elsewhere. If you're installed on BTRFS, you can try rolling back to before you started trying to install Netbeans and then update your system and try again.

    Or, if a "proper" installation won't work and you don't want to re-install, you could try downloading the tar package from apache.org as @theo222 suggests, if that is sufficiently self-contained it might bypass whatever problems you created with your failed install attempts.

    I doubt that trying another distro would be any different than a complete re-install of your existing openSUSE since it's likely that the Netbeans package you're trying to installo would do so successfully on a clean system.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  10. #10
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    903

    Default Re: Problem with installing Netbeans 1.2.4

    Quote Originally Posted by RonTenenbaum View Post
    I've installed Netbeans from 'home:fusion809'. Version 8.2. Program won't start, nothing happens after I click the icon to launch it.
    Code:
    erlangen:~ # zypper se -s --installed-only netbeans
    Loading repository data...
    Reading installed packages...
    
    S  | Name     | Type    | Version  | Arch   | Repository       
    ---+----------+---------+----------+--------+------------------
    i+ | netbeans | package | 10.0-9.1 | x86_64 | home:Herbster0815
    erlangen:~ #
    Shows up in application starter and opens readily.
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), openSUSE Tumbleweed, KDE Plasma 5

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •